Metacat - Story #7142

Upgrade Solr to 3.6 to fix searching issue
10/13/2016 04:42 PM - Lauren Walker

Status: Closed Start date: 10/13/2016
Priority: Normal Due date:

Assignee: dJing Tao % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 2.8.0 Spent time: 0.00 hour
Description

It looks like Solr has trouble with using wildcards and case insensitive searching for fields - so when we search for
originText:*Ashjian* we get 0 results, but with originText:*ashjian* we get 116. It looks like it was fixed in Solr 3.6:
https://issues.apache.org/jira/browse/SOLR-2438

On Slack, Matt, Chris, and | agreed that at some point soon we should upgrade Solr in Metacat.

History

#1-10/17/2016 10:53 AM - Jing Tao
- Assignee set to Jing Tao

- Target version set to 2.8.0

#2 - 10/19/2016 04:11 PM - Jing Tao

- Status changed from New to Closed

We upgrade Solr to 3.6.2 which is the balance between having the bug fix and newest compatible version ( involving minimum code change). Lauren
verified the bug had been fixed.

| input another ticket to upgrade solr:

https://projects.ecoinformatics.org/ecoinfo/issues/7148
